Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# StepElement_EnumeratedCurveElementFreedom.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations
enum | StepElement_EnumeratedCurveElementFreedom { StepElement_XTranslation, StepElement_YTranslation, StepElement_ZTranslation, StepElement_XRotation, StepElement_YRotation, StepElement_ZRotation, StepElement_Warp, StepElement_None }

## Enumeration Type Documentation

enum StepElement_EnumeratedCurveElementFreedom

  | Enumeration values:
  StepElement_XTranslation |
  StepElement_YTranslation |
  StepElement_ZTranslation |
  StepElement_XRotation |
  StepElement_YRotation |
  StepElement_ZRotation |
  StepElement_Warp |
  StepElement_None |